TKN-HUB-INSTALL-TASK(1)

NAME

tkn-hub-install-task - Install Task from a catalog by its name and version

SYNOPSIS

tkn hub install task

DESCRIPTION

Install Task from a catalog by its name and version

OPTIONS

-h, --help[=false]
    help for task

OPTIONS INHERITED FROM PARENT COMMANDS

--api-server=""
    Hub API Server URL. For artifact type: default ' ⟨https://artifacthub.io'⟩ (env: ARTIFACT_HUB_API_SERVER) For tekton type (DEPRECATED): default ' ⟨https://api.hub.tekton.dev'⟩ (env: TEKTON_HUB_API_SERVER) Can also be set in '$HOME/.tekton/hub-config'.

-c, --context=""
    Name of the kubeconfig context to use (default: kubectl config current-context)

--from=""
    Name of Catalog to which resource belongs.

-k, --kubeconfig=""
    Kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    Namespace to use (default: from $KUBECONFIG)

--type="artifact"
    The type of Hub from where to pull the resource. Either 'artifact' or 'tekton' (DEPRECATED: tekton type will be removed in a future release)

--version=""
    Version of Resource

EXAMPLE

Install a Task of name 'foo' from Artifact Hub:

    tkn hub install task foo --type artifact --from tekton-catalog-tasks --version 0.3.0

or

Install a Task of name 'foo' from Tekton Hub (DEPRECATED):

    tkn hub install task foo --version 0.3 --from tekton

Note: Tekton Hub is deprecated. Use '--type artifact' with Artifact Hub instead. Resources in Artifact Hub follow full SemVer - <major>.<minor>.<patch> (e.g. 0.3.0).

SEE ALSO

tkn-hub-install(1)